Bug 885949 - SELinux is preventing /usr/sbin/rpcbind from 'read' accesses on the file /etc/passwd.
Summary: SELinux is preventing /usr/sbin/rpcbind from 'read' accesses on the file /etc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6c87c33282be320755b032b8800...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-11 06:26 UTC by Erez Shindelman
Modified: 2012-12-11 14:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-11 14:33:44 UTC
Type: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-12-11 06:26 UTC, Erez Shindelman
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-12-11 06:26 UTC, Erez Shindelman
no flags Details

Description Erez Shindelman 2012-12-11 06:26:05 UTC
Description of problem:
Artre installing mysql with yum

Additional info:
libreport version: 2.0.18
kernel:         3.6.9-2.fc17.x86_64

description:
:SELinux is preventing /usr/sbin/rpcbind from 'read' accesses on the file /etc/passwd.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that rpcbind should be allowed read access on the passwd file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep rpcbind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:rpcbind_t:s0
:Target Context                system_u:object_r:passwd_file_t:s0
:Target Objects                /etc/passwd [ file ]
:Source                        rpcbind
:Source Path                   /usr/sbin/rpcbind
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           rpcbind-0.2.0-19.fc17.x86_64
:Target RPM Packages           setup-2.8.48-1.fc17.noarch
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.x86_64 #1 SMP Mon May
:                              7 17:29:34 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    2012-12-08 23:10:20 IST
:Last Seen                     2012-12-09 18:59:23 IST
:Local ID                      eb7e2024-f8d1-46d3-97ad-cfb9fcd54560
:
:Raw Audit Messages
:type=AVC msg=audit(1355072363.397:27): avc:  denied  { read } for  pid=809 comm="rpcbind" name="passwd" dev="dm-1" ino=165683 scontext=system_u:system_r:rpcbind_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1355072363.397:27): arch=x86_64 syscall=open success=no exit=EACCES a0=7f0c1abde6ca a1=80000 a2=1b6 a3=238 items=0 ppid=1 pid=809 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=rpcbind exe=/usr/sbin/rpcbind subj=system_u:system_r:rpcbind_t:s0 key=(null)
:
:Hash: rpcbind,rpcbind_t,passwd_file_t,file,read
:
:audit2allow
:
:#============= rpcbind_t ==============
:#!!!! This avc is allowed in the current policy
:
:allow rpcbind_t passwd_file_t:file read;
:
:audit2allow -R
:
:#============= rpcbind_t ==============
:#!!!! This avc is allowed in the current policy
:
:allow rpcbind_t passwd_file_t:file read;
:


Potential duplicate bug: 866728

Comment 1 Erez Shindelman 2012-12-11 06:26:09 UTC
Created attachment 661292 [details]
File: type

Comment 2 Erez Shindelman 2012-12-11 06:26:11 UTC
Created attachment 661293 [details]
File: hashmarkername

Comment 3 Erez Shindelman 2012-12-11 06:28:37 UTC
(In reply to comment #0)
> Description of problem:
> Artre installing mysql with yum
> 
> Additional info:
> libreport version: 2.0.18
> kernel:         3.6.9-2.fc17.x86_64
> 
> description:
> :SELinux is preventing /usr/sbin/rpcbind from 'read' accesses on the file
> /etc/passwd.
> :
> :*****  Plugin catchall (100. confidence) suggests 
> ***************************
> :
> :If you believe that rpcbind should be allowed read access on the passwd
> file by default.
> :Then you should report this as a bug.
> :You can generate a local policy module to allow this access.
> :Do
> :allow this access for now by executing:
> :# grep rpcbind /var/log/audit/audit.log | audit2allow -M mypol
> :# semodule -i mypol.pp
> :
> :Additional Information:
> :Source Context                system_u:system_r:rpcbind_t:s0
> :Target Context                system_u:object_r:passwd_file_t:s0
> :Target Objects                /etc/passwd [ file ]
> :Source                        rpcbind
> :Source Path                   /usr/sbin/rpcbind
> :Port                          <Unknown>
> :Host                          (removed)
> :Source RPM Packages           rpcbind-0.2.0-19.fc17.x86_64
> :Target RPM Packages           setup-2.8.48-1.fc17.noarch
> :Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
> :Selinux Enabled               True
> :Policy Type                   targeted
> :Enforcing Mode                Enforcing
> :Host Name                     (removed)
> :Platform                      Linux (removed) 3.3.4-5.fc17.x86_64 #1 SMP
> Mon May
> :                              7 17:29:34 UTC 2012 x86_64 x86_64
> :Alert Count                   2
> :First Seen                    2012-12-08 23:10:20 IST
> :Last Seen                     2012-12-09 18:59:23 IST
> :Local ID                      eb7e2024-f8d1-46d3-97ad-cfb9fcd54560
> :
> :Raw Audit Messages
> :type=AVC msg=audit(1355072363.397:27): avc:  denied  { read } for  pid=809
> comm="rpcbind" name="passwd" dev="dm-1" ino=165683
> scontext=system_u:system_r:rpcbind_t:s0
> tcontext=system_u:object_r:passwd_file_t:s0 tclass=file
> :
> :
> :type=SYSCALL msg=audit(1355072363.397:27): arch=x86_64 syscall=open
> success=no exit=EACCES a0=7f0c1abde6ca a1=80000 a2=1b6 a3=238 items=0 ppid=1
> pid=809 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0
> fsgid=0 tty=(none) ses=4294967295 comm=rpcbind exe=/usr/sbin/rpcbind
> subj=system_u:system_r:rpcbind_t:s0 key=(null)
> :
> :Hash: rpcbind,rpcbind_t,passwd_file_t,file,read
> :
> :audit2allow
> :
> :#============= rpcbind_t ==============
> :#!!!! This avc is allowed in the current policy
> :
> :allow rpcbind_t passwd_file_t:file read;
> :
> :audit2allow -R
> :
> :#============= rpcbind_t ==============
> :#!!!! This avc is allowed in the current policy
> :
> :allow rpcbind_t passwd_file_t:file read;
> :
> 
> 
> Potential duplicate bug: 866728

After installing mysql using yum.

Comment 4 Daniel Walsh 2012-12-11 14:33:44 UTC
> :#!!!! This avc is allowed in the current policy

Looks like an update has fixed this.


Note You need to log in before you can comment on or make changes to this bug.